package com.codenetworkz.blog.services;

import com.codenetworkz.blog.models.Comment;


import java.util.List;
import java.util.Optional;

public interface CommentService {

    Optional<Comment> save(String author, String message);
    Optional<Comment> delete(Long roleId);
    Optional<Comment> update(Long commentId, String author, String message);
    Optional<Comment> findByCommentId(String commentId);
    List<Comment> findAll();
    Optional<Comment> deActive(String commentId);
    Optional<Comment> Active(String commentId);

}
